module wei_buffer_mod
  implicit none

  contains


  subroutine wei_zero_i5(buf,i5)
    complex :: buf(:,:,:,:,:)
    integer  :: i1,i2,i3,i4,i5

#ifdef DEUG
    write(0,*) "IN WEI_ZERO i5"
#endif
      do i4=1,size(buf,4)
        do i3=1,size(buf,3)
          do i2=1,size(buf,2)
            do i1=1,size(buf,1)
              buf(i1,i2,i3,i4,i5)=0.
            end do
          end do
        end do
      end do

#ifdef DEUG
    write(0,*) "OUT WEI_ZERO i5"
#endif
  end subroutine




end module
